%define upstream_name    File-Find-Object
%define upstream_version 0.3.9

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An object-oriented directory tree traversal module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::TreeCreate)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::File) >= 1.993.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(integer)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::Find::Object is a directory tree traversal module for Perl 5. It
is similar to File::Find but is object-oriented, can be instantiated, has
an iterative interface, can be interrupted in the middle, and does not have
the horrible API of File::Find.

It allows to perform multiple tree parsing in the same application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.3.9-1.mga10
+ Revision: 2141572
- update to 0.3.9

* Tue Aug 29 2023 tv <tv> 0.3.8-1.mga10
+ Revision: 1980964
- update to 0.3.8

* Mon Jan 02 2023 tv <tv> 0.3.7-1.mga9
+ Revision: 1929010
- update to 0.3.7

* Mon Mar 21 2022 umeabot <umeabot> 0.3.6-2.mga9
+ Revision: 1814950
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 tv <tv> 0.3.6-1.mga9
+ Revision: 1743730
- update to 0.3.6

* Thu Feb 20 2020 umeabot <umeabot> 0.3.5-2.mga8
+ Revision: 1545604
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.3.5-1.mga8
+ Revision: 1484904
- update to 0.3.5
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 0.3.4-1.mga8
+ Revision: 1432333
- update to 0.3.4

* Sun Aug 25 2019 tv <tv> 0.3.3-1.mga8
+ Revision: 1431965
- update to 0.3.3

* Thu Sep 20 2018 umeabot <umeabot> 0.3.2-2.mga7
+ Revision: 1283666
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.3.2-1.mga7
+ Revision: 1128541
- update to v0.3.2

* Sun Jun 19 2016 pterjan <pterjan> 0.2.13-3.mga6
+ Revision: 1027299
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.13-2.mga6
+ Revision: 966104
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 shlomif <shlomif> 0.2.13-1.mga6
+ Revision: 840619
- New version 0.2.13 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.2.11-3.mga5
+ Revision: 747019
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.11-2.mga5
+ Revision: 684722
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.2.11-1.mga5
+ Revision: 619672
- update to v0.2.11

* Mon Feb 10 2014 jquelin <jquelin> 0.2.9-1.mga5
+ Revision: 588403
- update to v0.2.9

* Sat Oct 19 2013 umeabot <umeabot> 0.2.8-2.mga4
+ Revision: 532287
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 0.2.8-1.mga4
+ Revision: 467758
- update to v0.2.8

* Fri Jun 07 2013 jquelin <jquelin> 0.2.7-1.mga4
+ Revision: 439287
- update to v0.2.7

* Sun Jan 13 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 367202
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 shlomif <shlomif> 0.2.5-1.mga3
+ Revision: 284091
- update to v0.2.5

* Mon Jan 30 2012 shlomif <shlomif> 0.2.3-4.mga2
+ Revision: 203331
- Correct some typos in the documentation

* Fri Jan 21 2011 jquelin <jquelin> 0.2.3-3.mga1
+ Revision: 29377
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.2.3-2.mga1
+ Revision: 11408
- imported package perl-File-Find-Object

